Bug 1565408 - LXC fedora template does not work at all
Summary: LXC fedora template does not work at all
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lxc
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 00:48 UTC by Tomasz Kłoczko
Modified: 2019-11-27 19:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:00:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomasz Kłoczko 2018-04-10 00:48:54 UTC
Create test devel container:

# lxc-create --name devel -t fedora
Host CPE ID from /etc/os-release: cpe:/o:fedoraproject:fedora:29
Checking cache download in /var/cache/lxc/fedora/x86_64/29/rootfs ... 
Cache found. Updating...
Last metadata expiration check: 0:59:53 ago on Mon 09 Apr 2018 23:45:21 UTC.
Dependencies resolved.
Nothing to do.
Complete!
Update finished
Copy /var/cache/lxc/fedora/x86_64/29/rootfs to /var/lib/lxc/devel/rootfs ... 
Copying rootfs to /var/lib/lxc/devel/rootfs ...
Storing root password in '/var/lib/lxc/devel/tmp_root_pass'
Expiring password for user root.
passwd: Success
installing fedora-release package
Last metadata expiration check: 1:00:26 ago on Mon 09 Apr 2018 23:45:21 UTC.
Package fedora-release-29-0.2.noarch is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!
sed: can't read /var/lib/lxc/devel/rootfs/etc/sysconfig/init: No such file or directory

Container rootfs and config have been created.
Edit the config file to check/enable networking setup.

A LiveOS directory exists at /var/cache/lxc/fedora/x86_64/LiveOS.
This is only used in the creation of the bootstrap run-time-environment
and may be removed.

The temporary root password is stored in:

        '/var/lib/lxc/devel/tmp_root_pass'


The root password is set up as expired and will require it to be changed
at first login, which you should do as soon as possible.  If you lose the
root password or wish to change it without starting the container, you
can change it from the host by running the following command (which will
also reset the expired flag):

        chroot /var/lib/lxc/devel/rootfs passwd


Than start:

# lxc-start --name devel
lxc-start: lxccontainer.c: wait_on_daemonized_start: 754 Received container state "STOPPING" instead of "RUNNING"
lxc-start: tools/lxc_start.c: main: 368 The container failed to start.
lxc-start: tools/lxc_start.c: main: 370 To get more details, run the container in foreground mode.
lxc-start: tools/lxc_start.c: main: 372 Additional information can be obtained by setting the --logfile and --logpriority options.

# lxc-ls -f
NAME  STATE   AUTOSTART GROUPS IPV4 IPV6 
devel STOPPED 0         -      -    -

Comment 1 Jan Kurik 2018-08-14 10:07:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 20:53:49 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 19:00:42 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.